Bug 706801 - Python-client: Default directory of --srcfile should be current directory ('.').
Python-client: Default directory of --srcfile should be current directory ('.').
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-23 00:25 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-05-23 00:25:57 EDT
Description of problem:
Usually, if a filename does not specify the directory, current directory is used.

However, if we specify "--srcfile messages.po", 
an error message shows:

error: File messages.po not found

even messages.po is in current directory.


Version-Release number of selected component (if applicable):
zanata-python-client-1.2.3-1


How reproducible:
Always


Steps to Reproduce:
1. svn checkout http://galaxium.googlecode.com/svn/trunk/po galaxium-read-only
2. cd galaxium-read-only
3. Log in zanata server
4. Create a project "galaxium-read-only"
5. Create a version "trunk"
6. Download zanata.xml
7. zanata po push --url=<server> --srcfile messages.po
  
Actual results:
error: File messages.po not found

Expected results:
messages.po in current directory is used.


Additional info:
Comment 1 James Ni 2011-05-25 04:28:00 EDT
Hi Dean,

I have modify the source code to fix this issue, the changes is in commit
931bb6ed in devel branch of zanataclient. (I forget to add
the bug number to commit comment, sorry for that!)

Best Regards
Comment 2 Ding-Yi Chen 2011-05-25 23:28:46 EDT
VERIFIED with commit 931bb6ed454d207a93e88b4a0e19713671741510

Note You need to log in before you can comment on or make changes to this bug.